
QGIS Application - Bug report #12935

2.2 GB GeoJson file crashes qgis

2015-06-11 12:45 AM - baditaflorin -

Status: Closed

Priority: High

Assignee:

Category: Data Provider/OGR

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:Yes Copied to github as #: 21016

Description

I am not sure if the file is complete, is was downloaded via QuickOSM plugin, but not sure if it completed. 

The idea is that it should not crash and it's crashing in such a way that not even a mini-dump is provided

https://www.dropbox.com/s/vdf439xeibk6ndy/tmpw9cnuy_lines.zip?dl=0

Related issues:

Related to QGIS Application - Bug report # 12929: XML file freezes QGIS 2.8.2... Closed 2015-06-10

History

#1 - 2015-06-11 12:48 AM - Giovanni Manghi

- Priority changed from Severe/Regression to High

any chance to share the file?

any chance you can leave feedback on #12929 ?

#2 - 2015-06-11 12:49 AM - Giovanni Manghi

- Status changed from Open to Feedback

#3 - 2015-06-11 01:05 AM - baditaflorin -

Giovanni Manghi wrote:

any chance to share the file?

any chance you can leave feedback on #12929 ?

Here is the dropbox link https://www.dropbox.com/s/vdf439xeibk6ndy/tmpw9cnuy_lines.zip?dl=0

#4 - 2015-06-11 06:53 AM - Giovanni Manghi

- Operating System deleted (windows)

- Affected QGIS version changed from 2.8.2 to master

- OS version deleted (7)

- Status changed from Feedback to Open

- Category set to Vectors

- Subject changed from 2.2 GB GeoJson file is crushing QGIS 2.8.2 to 2.2 GB GeoJson file crashes qgis
it does crash qgis (that starts eating up memory while trying to open the file), but it does also crash ogrinfo.

#5 - 2015-06-11 10:51 PM - Jürgen Fischer

- Category changed from Vectors to Data Provider/OGR

- Resolution set to up/downstream

#6 - 2016-01-19 02:48 AM - Sandro Santilli

Should up/downstream resolved tickets not be closed ?

#7 - 2016-06-09 04:01 AM - Sandro Santilli

- Status changed from Open to Closed

Closing, filed upstream: https://trac.osgeo.org/gdal/ticket/6540

#8 - 2016-06-09 01:23 PM - Jukka Rahkonen

- File short.geojson added

The original file has 612173 lines so I made a short five row version as an attachment. Ogrinfo follows. I would say that GDAL should not crash of jam but

the file itself is lunatic to be used with Simple Feature based GIS system. Because GeoJSON does not have schema GDAL must parse the whole file once

for finding all the attributes. In this sample of 5 features there are 207 attributes (tags).

ogrinfo short.geojson -al -so

INFO: Open of `short.geojson'

      using driver `GeoJSON' successful.

Layer name: OGRGeoJSON

Geometry: Line String

Feature Count: 5

Extent: (-103.322495, 20.692605) - (-103.308344, 20.712862)

Layer SRS WKT:

GEOGCS["WGS 84",

    DATUM["WGS_1984",

        SPHEROID["WGS 84",6378137,298.257223563,

            AUTHORITY["EPSG","7030"]],

        AUTHORITY["EPSG","6326"]],

    PRIMEM["Greenwich",0,

        AUTHORITY["EPSG","8901"]],

    UNIT["degree",0.0174532925199433,

        AUTHORITY["EPSG","9122"]],

    AUTHORITY["EPSG","4326"]]

full_id: String (0.0)

osm_id: String (0.0)

osm_type: String (0.0)

name: String (0.0)

highway: String (0.0)

oneway: String (0.0)

alt_name: String (0.0)
is_in: String (0.0)

lanes: String (0.0)

maxspeed: String (0.0)

sidewalk: String (0.0)

parking:condition:both: String (0.0)

parking:lane:both: String (0.0)

width: String (0.0)

postal_code: String (0.0)

surface: String (0.0)

tiger:source: String (0.0)

tiger:upload_uuid: String (0.0)

tiger:cfcc: String (0.0)

tiger:reviewed: String (0.0)

tiger:separated: String (0.0)

tiger:county: String (0.0)

tiger:tlid: String (0.0)

odbl: String (0.0)

cycleway: String (0.0)

bicycle: String (0.0)

ele: String (0.0)

motor_vehicle: String (0.0)

foot: String (0.0)

tiger:name_base: String (0.0)

tiger:name_type: String (0.0)

junction: String (0.0)

trolley_wire: String (0.0)

access: String (0.0)

ref: String (0.0)

source:oneway: String (0.0)

area: String (0.0)

tunnel: String (0.0)

layer: String (0.0)

parking:lane: String (0.0)

direction: String (0.0)

lanes:backward: String (0.0)

lanes:forward: String (0.0)

cycleway:right: String (0.0)

bridge: String (0.0)

name:ru: String (0.0)

addr:postcode: String (0.0)

tracktype: String (0.0)

width:street: String (0.0)

horse: String (0.0)

nat_ref: String (0.0)

official_name: String (0.0)

lit: String (0.0)

railway: String (0.0)

sac_scale: String (0.0)

source:geometry: String (0.0)

landuse: String (0.0)

alt_name_1: String (0.0)

old_name: String (0.0)

source:sidewalk: String (0.0)

2024-04-20 3/6



noexit: String (0.0)

incline: String (0.0)

history: String (0.0)

designation: String (0.0)

short_name: String (0.0)

source:maxspeed: String (0.0)

added_by: String (0.0)

garden: String (0.0)

hgv: String (0.0)

oneway:bicycle: String (0.0)

Colonia: String (0.0)

level: String (0.0)

addr:street: String (0.0)

source:lit: String (0.0)

source:surface: String (0.0)

source:old_name: String (0.0)

loc_name: String (0.0)

source:name: String (0.0)

int_name: String (0.0)

abutters: String (0.0)

goods: String (0.0)

motorcycle: String (0.0)

psv: String (0.0)

crossing: String (0.0)

name:es: String (0.0)

power: String (0.0)

name:: String (0.0)

maxwidth: String (0.0)

amenity: String (0.0)

shop: String (0.0)

addr:city: String (0.0)

is_in:city: String (0.0)

embankment: String (0.0)

smoothness: String (0.0)

type: String (0.0)

natural: String (0.0)

wheelchair: String (0.0)

comment: String (0.0)

service: String (0.0)

ford: String (0.0)

usage: String (0.0)

gauge: String (0.0)

operator: String (0.0)

waterway: String (0.0)

leisure: String (0.0)

name:en: String (0.0)

snowmobile: String (0.0)

ski: String (0.0)

NUM: String (0.0)

FIN: String (0.0)

CUADRA: String (0.0)

EJE: String (0.0)

INICIO: String (0.0)
SHAPE_len: String (0.0)

NOMBRE: String (0.0)

soure:name: String (0.0)

motorcar: String (0.0)

distance: String (0.0)

description: String (0.0)

roundtrip: String (0.0)

colour: String (0.0)

symbol: String (0.0)

Nombre: String (0.0)

imagery_used: String (0.0)

name: String (0.0)

lane: String (0.0)

left: String (0.0)

hh: String (0.0)

place: String (0.0)

road: String (0.0)

headframe: String (0.0)

Cedros: String (0.0)

construction: String (0.0)

location: String (0.0)

Flores: String (0.0)

source:foot: String (0.0)

source:bicycle: String (0.0)

nama: String (0.0)

motorroad: String (0.0)

reg_ref: String (0.0)

route: String (0.0)

website: String (0.0)

phone: String (0.0)

Az├íleas: String (0.0)

source:postal_code: String (0.0)

source_date: String (0.0)

source_1: String (0.0)

addr:housenumber: String (0.0)

addr:housename: String (0.0)

cutting: String (0.0)

Guillermo Hernadez: String (0.0)

is_in:country: String (0.0)

is_in:state: String (0.0)

old_ref: String (0.0)

covered: String (0.0)

sorting_name: String (0.0)

hig: String (0.0)

Trigo: String (0.0)

barrier: String (0.0)

uno: String (0.0)

bus: String (0.0)

source:date: String (0.0)

n: String (0.0)

source:date_1: String (0.0)

name:alt: String (0.0)

admin_level: String (0.0)
boundary: String (0.0)

opening_hours: String (0.0)

date: String (0.0)

right: String (0.0)

CIRCULA: String (0.0)

maxlength: String (0.0)

TIPO_VIAL: String (0.0)

turn:lanes: String (0.0)

noname: String (0.0)

postcode: String (0.0)

abandoned:highway: String (0.0)

abandoned:oneway: String (0.0)

abandoned: String (0.0)

addr:state: String (0.0)

addr:country: String (0.0)

onv: String (0.0)

trail_visibility: String (0.0)

name:botanical: String (0.0)

destination: String (0.0)

identifica: String (0.0)

tipo: String (0.0)

cali_repr: String (0.0)

objectid: String (0.0)

reg_name: String (0.0)

steps: String (0.0)

survey:date: String (0.0)

parking:lane:right: String (0.0)

source:highway: String (0.0)

mtb:scale: String (0.0)

building: String (0.0)

emergency: String (0.0)

local: String (0.0)

sport: String (0.0)

general: String (0.0)

source:bridge: String (0.0)

souce:date: String (0.0)

souce:name: String (0.0)

structure: String (0.0)

}: String (0.0)

segregated: String (0.0)

vehicle: String (0.0)

Files

short.geojson 20.7 KB 2016-06-09 Jukka Rahkonen
